import { AttachmentBlock, HeaderBlock, TextBlock, VideoBlock } from '@parlor/common';
import { ContentModuleType } from '@parlor/ui';
export declare const guideTabs: {
    id: string;
    label: string;
}[];
export type IGuideTabs = 'overview' | 'details' | 'steps' | 'trigger' | 'assigned';
export type IItems = (HeaderBlock | AttachmentBlock | TextBlock | VideoBlock)[];
export declare const createItemsFromSavedContentBlocks: (items: IItems) => ({
    variant: ContentModuleType;
    __typename?: "AttachmentBlock";
    attachments: import("@parlor/common").Attachment[];
    attachmentsAggregate: import("@parlor/common").AttachmentBlockAttachmentsAggregateResponse[];
    created_at: any;
    id: string;
    order?: number;
    organization: import("@parlor/common").Organization;
    organizationID: string;
    post?: import("@parlor/common").Post;
    postID?: string;
    step?: import("@parlor/common").Step;
    stepID?: string;
    successPlan?: import("@parlor/common").SuccessPlan;
    successPlanID?: string;
    updated_at: any;
} | {
    variant: ContentModuleType;
    __typename?: "HeaderBlock";
    created_at: any;
    headerStyle: import("@parlor/common").HeaderStyle;
    id: string;
    order?: number;
    organization: import("@parlor/common").Organization;
    organizationID: string;
    post?: import("@parlor/common").Post;
    postID?: string;
    step?: import("@parlor/common").Step;
    stepID?: string;
    successPlan?: import("@parlor/common").SuccessPlan;
    successPlanID?: string;
    text: string;
    updated_at: any;
} | {
    variant: ContentModuleType;
    __typename?: "TextBlock";
    created_at: any;
    id: string;
    order?: number;
    organization: import("@parlor/common").Organization;
    organizationID: string;
    post?: import("@parlor/common").Post;
    postID?: string;
    step?: import("@parlor/common").Step;
    stepID?: string;
    successPlan?: import("@parlor/common").SuccessPlan;
    successPlanID?: string;
    text?: string;
    updated_at: any;
} | {
    variant: ContentModuleType;
    __typename?: "VideoBlock";
    created_at: any;
    id: string;
    isHTML?: boolean;
    order?: number;
    organization: import("@parlor/common").Organization;
    organizationID: string;
    post?: import("@parlor/common").Post;
    postID?: string;
    step?: import("@parlor/common").Step;
    stepID?: string;
    successPlan?: import("@parlor/common").SuccessPlan;
    successPlanID?: string;
    text?: string;
    updated_at: any;
})[];
